#ifndef LIBCURL_H
#define LIBCURL_H

#include <string>
#include <map>

int libcurl_get(const char *url, std::string &buffer, std::string &errinfo);
int libcurl_post(const char *url, const char *data, std::string &buffer);
int libcurl_post(const char *url, std::map<std::string, std::string> headers, const char *data, std::string &buffer);

#endif // LIBCURL_H
